> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Channel Moderators > List all the moderators in a channel. ### Changelog | Version | Description | | ------- | ----------- | | 0.70.0 | Added | ## OpenAPI ````json GET /api/v1/channels.moderators { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/channels.moderators": { "get": { "tags": [ "Channels" ], "summary": "Get Channel Moderators", "description": "\nList all the moderators in a channel.\n\n### Changelog\n| Version | Description |\n| ------- | ----------- |\n| 0.70.0 | Added |", "operationId": "get-api-v1-channels.moderators", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/Optional-RoomId" }, { "$ref": "#/components/parameters/Optional-RoomName" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "moderators": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" } } } }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "moderators": [ { "_id": "rocket.cat", "username": "rocket.cat", "name": "Rocket.Cat" } ], "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "Optional-RoomId": { "name": "roomId", "in": "query", "description": "The room ID. It is required if the `roomName` is not provided.", "schema": { "type": "string" }, "example": "dlpfuijw7ej" }, "Optional-RoomName": { "name": "roomName", "in": "query", "description": "The room name. It is required if the `roomId` is not provided.", "required": false, "schema": { "type": "string" }, "example": "general" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````